Skip to main content
`Ctrl`+`K`

# PetscOptionsGetAll

Lists all the options the program was run with in a single string.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetAll(PetscOptions options, char *copts[]) PeNS

Not Collective

## Input Parameter

- options - the options database, use `NULL` for the default global database

## Output Parameter

- copts - pointer where string pointer is stored

## Notes

The string should be freed with `PetscFree()`

Each process may have different values depending on how the options were inserted into the database

## See Also

`PetscOptionsAllUsed()`, `PetscOptionsView()`, `PetscOptionsPush()`, `PetscOptionsPop()`, `PetscOptionsLeftGet()`

## Level

advanced

## Location

src/sys/objects/options.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages